Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on Jan 26, 2013
  1. @xamado @fabpot

    Fixed missing class argument when throwing exception

    xamado authored fabpot committed
Commits on Jan 19, 2013
  1. @stof @fabpot

    Added an error message in the DebugClassLoader when using / instead o…

    stof authored fabpot committed
    …f \.
Commits on Jan 9, 2013
  1. @fabpot
Commits on Jan 4, 2013
  1. @fabpot

    Merge branch '2.0' into 2.1

    fabpot authored
    * 2.0:
      updated license year
      Update src/Symfony/Component/HttpFoundation/Response.php
      [Console] fixed unitialized properties (closes #5935)
      [Bundle] [FrameworkBundle] fixed typo in phpdoc of the SessionListener.
      bumped Symfony version to 2.0.21-DEV
      updated VERSION for 2.0.21
      updated CHANGELOG for 2.0.21
    
    Conflicts:
    	src/Symfony/Bundle/SwiftmailerBundle/LICENSE
    	src/Symfony/Component/Filesystem/LICENSE
    	src/Symfony/Component/HttpFoundation/Response.php
    	src/Symfony/Component/HttpKernel/Kernel.php
  2. @fabpot

    updated license year

    fabpot authored
Commits on Dec 6, 2012
  1. @hason
Commits on Nov 8, 2012
  1. @gajdaw

    Fix export-ignore on Windows

    gajdaw authored
Commits on Oct 27, 2012
  1. @fabpot

    Merge branch '2.0' into 2.1

    fabpot authored
    * 2.0:
      [ClassLoader] fixed unbracketed namespaces (closes #5747)
    
    Conflicts:
    	src/Symfony/Component/ClassLoader/ClassCollectionLoader.php
    	tests/Symfony/Tests/Component/ClassLoader/ClassCollectionLoaderTest.php
  2. @fabpot
Commits on Oct 4, 2012
  1. @igorw
Commits on Sep 1, 2012
  1. @eventhorizonpl

    load test

    eventhorizonpl authored
Commits on Aug 27, 2012
  1. @eventhorizonpl

    dump test

    eventhorizonpl authored
    fix things pointed out by stof
    
    fix things pointed out by pborreli
    
    fix things pointed out by fabpot
Commits on Aug 25, 2012
  1. @fabpot

    merged branch willdurand/fix-composer-components (PR #5318)

    fabpot authored
    Commits
    -------
    
    933e821 Add minimum-stability (dev) in each component
    
    Discussion
    ----------
    
    Add minimum-stability (dev) in each component
    
    This fixes the ability to run the test suite in each component if a `composer install` is needed.
    
    ---------------------------------------------------------------------------
    
    by stof at 2012-08-22T13:57:14Z
    
    If you really want to run the testsuite standalone, some dev requirements are missing (SecurityBundle needs the FrameworkBundle for its functional tests for instance). If you have some time to check the missing dev requirement, it would be great.
    Anyway, :+1: for this
    
    ---------------------------------------------------------------------------
    
    by willdurand at 2012-08-22T13:59:15Z
    
    Yes I already did that once. I'll try to fix more components later.
    
    On Wed, Aug 22, 2012 at 3:57 PM, Christophe Coevoet <
    notifications@github.com> wrote:
    
    > If you really want to run the testsuite standalone, some dev requirements
    > are missing (SecurityBundle needs the FrameworkBundle for its functional
    > tests for instance). If you have some time to check the missing dev
    > requirement, it would be great.
    > Anyway, [image: :+1:] for this
    >
    > —
    > Reply to this email directly or view it on GitHub<symfony/symfony#5318 (comment)>.
    >
    >
    
    ---------------------------------------------------------------------------
    
    by stof at 2012-08-22T14:02:23Z
    
    Well, I think most components should be good now (as some work has been done on them). But the bridges and bundles may need some work (bundles were not having any dev requirements until yesterday when @guilhermeblanco added some on FrameworkBundle)
    
    ---------------------------------------------------------------------------
    
    by pborreli at 2012-08-22T14:14:00Z
    
    what about having for each READ-ONLY repo his own .travis.yml and travisci hook activated ?
    
    ---------------------------------------------------------------------------
    
    by fabpot at 2012-08-22T14:30:13Z
    
    please, don't add more travis files. The main already tests everything, and that's all we need.
    
    ---------------------------------------------------------------------------
    
    by stof at 2012-08-22T14:33:46Z
    
    @pborreli tests should not be different for subtree split repos as the code is the same and the tests are the same (except that more tests could be skipped because of missing deps).
    Note that for the bundles, it is likely to be different currently as I think some skip tests are missing (just like dev requirements are). But fixing this does not require enablign travis.
    
    ---------------------------------------------------------------------------
    
    by pborreli at 2012-08-22T14:42:30Z
    
    ok, i was just thinking about a way to be sure each component is usable individually but yeah that would require to relaunch each tests and add a bunch of travis files + hook
    
    ---------------------------------------------------------------------------
    
    by hason at 2012-08-24T13:12:04Z
    
    @stof, @eriksencosta, @fabpot: Tests are different for Locale component, see #5235
    
    ---------------------------------------------------------------------------
    
    by stof at 2012-08-24T13:35:07Z
    
    @hason no. You also need to do it when running the tests of the Locale component as part of the full run.
Commits on Aug 24, 2012
  1. @eventhorizonpl

    getNamespaces test

    eventhorizonpl authored
    getPrefixes test
    
    loadClass test
    
    getPrefixes test
    
    addPrefix test
    
    getFallbackDirs test
    
    fix things pointed out by stof
Commits on Aug 22, 2012
  1. @willdurand
Commits on Jul 15, 2012
  1. @fabpot

    Revert "raised the minimum version of PHP to 5.3.4 (closes #3856)"

    fabpot authored
    This reverts commit 2dcc44897ef1ceec2721bbf616c4744131340657.
Commits on Jul 13, 2012
  1. @fabpot

    raised the minimum version of PHP to 5.3.4 (closes #3856)

    fabpot authored
    We've raised the minimum version of PHP because of a PHP
    bug before 5.3.4:
    
    https://bugs.php.net/bug.php?id=52083
    https://bugs.php.net/bug.php?id=50027
Commits on Jul 10, 2012
  1. @fabpot
Commits on Jul 9, 2012
  1. @fabpot

    merged branch bamarni/master (PR #4792)

    fabpot authored
    Commits
    -------
    
    6c9c2ec [ClassCollectionLoader] fixed comment striping on classes in global namespace
    
    Discussion
    ----------
    
    [ClassCollectionLoader] fixed comment striping on classes in global namespace
    
    Comments aren't striped when the class is in the global namespace, this adds a fake namespace to let the fixNamespaceDeclaration method handling the formating, so we can remove a method.
    
    I've also put dev as minimum policy in composer, otherwise I couldn't install dependencies.
  2. @fabpot

    fixed CS

    fabpot authored
  3. @fabpot
Commits on Jul 8, 2012
  1. @bamarni
Commits on Jul 4, 2012
  1. @fabpot

    merged branch fabpot/classloader-optim (PR #4729)

    fabpot authored
    Commits
    -------
    
    3f9e8ff [ClassLoader] made ClassCollectionLoader::load() automatically include class dependencies
    6f4d281 [ClassLoader] added missing support for PHP 5.4 traits
    
    Discussion
    ----------
    
    Classloader optimization
    
    The first commit fixes support for PHP 5.4 trait.
    
    The second one does several things:
    
     * it optimizes the recent merge so that the reflection class instance is only loaded once;
     * we use the fact that we now get all class dependencies to automatically add all class dependencies to the map.
    
    ---------------------------------------------------------------------------
    
    by fabpot at 2012-07-03T17:26:46Z
    
    I've updated to take into accounts traits.
    
    ---------------------------------------------------------------------------
    
    by bamarni at 2012-07-04T11:58:57Z
    
    great job :+1:
    
    I can't see it in the diff as this part hasn't changed, but somewhere in the autoReload block there is :
    ```
    if ($meta[1] != $classes) {
        $reload = true;
    }
    ```
    
    It should be array_unique($classes), otherwise the file would be perpetually regenerated in autoReload mode when the input contains duplicate, because they're implicitely removed when dumping the files.
    
    ---------------------------------------------------------------------------
    
    by fabpot at 2012-07-04T13:20:04Z
    
    @bamarni I've added an `array_unique` call at the top (this bug existed before by the way).
  2. @fabpot
Commits on Jul 3, 2012
  1. @fabpot

    [ClassLoader] fixed typo

    fabpot authored
  2. @fabpot
  3. @fabpot

    fixed unit tests

    fabpot authored
  4. @bamarni
Commits on Jun 19, 2012
  1. @Grummfy @fabpot

    fixed phpdoc (closes symfony/ClassLoader#3)

    Grummfy authored fabpot committed
Commits on May 21, 2012
  1. @fabpot

    fixed CS

    fabpot authored
Commits on May 15, 2012
  1. @fabpot

    added @ to all chmod() calls to avoid PHP warnings (operation not per…

    fabpot authored
    …mitted) when using CIFS or NTFSa (closes #2125)
Commits on May 7, 2012
  1. @fabpot

    updated minimum PHP version to 5.3.3

    fabpot authored
    5.3.3 has some interesting fixes and this is the version used by
    Redhat 6 and Debian 6
Commits on May 1, 2012
  1. @fabpot

    merged branch willdurand/fix-components (PR #4155)

    fabpot authored
    Commits
    -------
    
    c195957 [Components] Tests/Autoloading fixes
    
    Discussion
    ----------
    
    Fix components
    
    See #4141
    
    ----
    This PR:
    
    * configures each component to use composer to manage "dev" dependencies instead of env variables;
    * adds phpunit configuration file on Filesystem component;
    * fixes READMEs.
    
    It's mergeable without any problems, but I would recommend to wait a fix in Composer in order to use `self.version` in `require`/`require-dev` sections.
    
    Note: I kept `suggest` sections because it makes sense but this PR doesn't aim to provide useful explanations for each entry. It could be another PR, not that one.
    
    ---------------------------------------------------------------------------
    
    by willdurand at 2012-04-30T20:43:13Z
    
    @fabpot I reviewed each component, one by one. Now `phpunit` always works, even if tests are skipped. A simple `composer install --dev` allows to run the complete test suite. Each commit is well separated from the others. I guess, everything is ok now.
    
    ---------------------------------------------------------------------------
    
    by Tobion at 2012-04-30T20:47:00Z
    
    Please squash, as it makes no sense to have the same commit for each component.
    
    ---------------------------------------------------------------------------
    
    by fabpot at 2012-05-01T14:26:11Z
    
    Can you squash your commits before I merge? Thanks.
    
    ---------------------------------------------------------------------------
    
    by willdurand at 2012-05-01T14:29:38Z
    
    done
    
    ---------------------------------------------------------------------------
    
    by fabpot at 2012-05-01T15:48:25Z
    
    It does not seem that the commits are squashed.
    
    ---------------------------------------------------------------------------
    
    by willdurand at 2012-05-01T15:54:08Z
    
    done
  2. @willdurand

    [Components] Tests/Autoloading fixes

    willdurand authored
    * Switched to Composer to manage "dev" dependencies
    * Fixed READMEs
    * Excluded vendor in phpunit.xml.dist files
    * Fixed message in bootstrap.php files
    * Added autoloader for the component itself
  3. @fabpot

    fixed CS

    fabpot authored
Something went wrong with that request. Please try again.